Skip to main content
GET
/
v1
/
flows
Search flows
curl --request GET \
  --url https://api.runflow.io/v1/flows \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "cover_url": "<string>",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_type_code": "<string>",
      "category_code": "<string>",
      "visibility_code": "<string>",
      "source_visibility_code": "<string>",
      "status_code": "<string>",
      "version": 123,
      "current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "estimated_cost": "<string>",
      "context_variables": {},
      "run_count": 123,
      "avg_duration": "<string>",
      "cost_per_run": "<string>",
      "featured_at": "2023-11-07T05:31:56Z",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "nodes": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "slug": "<string>",
          "label": "<string>",
          "subtitle": "<string>",
          "type_code": "<string>",
          "x": 123,
          "y": 123,
          "width": 123,
          "config": {},
          "collapsed": true,
          "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "builtin_node_code": "<string>",
          "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "sub_flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "flow": null,
          "inputs": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "display_name": "<string>",
              "variable_type_code": "<string>",
              "validator_code": "<string>",
              "validator_attrs": {},
              "is_required": true,
              "default_value": {},
              "sort_order": 123,
              "behavior_code": "<string>",
              "value": {},
              "source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "connection_label": "<string>",
              "connection_style_code": "<string>",
              "retry_source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ],
          "outputs": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "display_name": "<string>",
              "variable_type_code": "<string>",
              "validator_code": "<string>",
              "validator_attrs": {},
              "sort_order": 123,
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ]
        }
      ],
      "inputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "variable_type_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "is_required": true,
          "default_value": {},
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "outputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "variable_type_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_by_user": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "avatar_url": "<string>"
      },
      "recent_stars": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

embed
string | null

Relation embedding. Available values: created_by_user, inputs, nodes, outputs, recent_stars. Use a comma-separated list to request multiple embeds.

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated flow list.

Paginated list response.

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null